/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */

package com.peetz.tradingcards.dal;

import com.peetz.tradingcards.entity.BaseSetEntity;
import com.peetz.tradingcards.entity.ManufacturerEntity;
import java.util.Collection;
import java.util.List;
import javax.ejb.embeddable.EJBContainer;
import org.junit.After;
import org.junit.AfterClass;
import org.junit.Before;
import org.junit.BeforeClass;
import org.junit.Test;
import static org.junit.Assert.*;

/**
 *
 * @author tpeetz
 */
public class ManufacturerImplTest {
    
    public ManufacturerImplTest() {
    }
    
    @BeforeClass
    public static void setUpClass() {
    }
    
    @AfterClass
    public static void tearDownClass() {
    }
    
    @Before
    public void setUp() {
    }
    
    @After
    public void tearDown() {
    }

    /**
     * Test of getById method, of class ManufacturerImpl.
     */
    @Test
    public void testGetById() throws Exception {
        System.out.println("getById");
        Long id = null;
        EJBContainer container = javax.ejb.embeddable.EJBContainer.createEJBContainer();
        ManufacturerDao instance = (ManufacturerDao)container.getContext().lookup("java:global/main/ManufacturerDao");
        ManufacturerEntity expResult = null;
        ManufacturerEntity result = instance.getById(id);
        assertEquals(expResult, result);
        container.close();
        // TODO review the generated test code and remove the default call to fail.
        fail("The test case is a prototype.");
    }

    /**
     * Test of findByIds method, of class ManufacturerImpl.
     */
    @Test
    public void testFindByIds() throws Exception {
        System.out.println("findByIds");
        List<Long> ids = null;
        EJBContainer container = javax.ejb.embeddable.EJBContainer.createEJBContainer();
        ManufacturerDao instance = (ManufacturerDao)container.getContext().lookup("java:global/classes/ManufacturerImpl");
        Collection<ManufacturerEntity> expResult = null;
        Collection<ManufacturerEntity> result = instance.findByIds(ids);
        assertEquals(expResult, result);
        container.close();
        // TODO review the generated test code and remove the default call to fail.
        fail("The test case is a prototype.");
    }

    /**
     * Test of findByName method, of class ManufacturerImpl.
     */
    @Test
    public void testFindByName() throws Exception {
        System.out.println("findByName");
        String name = "";
        EJBContainer container = javax.ejb.embeddable.EJBContainer.createEJBContainer();
        ManufacturerDao instance = (ManufacturerDao)container.getContext().lookup("java:global/classes/ManufacturerImpl");
        Collection<ManufacturerEntity> expResult = null;
        Collection<ManufacturerEntity> result = instance.findByName(name);
        assertEquals(expResult, result);
        container.close();
        // TODO review the generated test code and remove the default call to fail.
        fail("The test case is a prototype.");
    }

    /**
     * Test of assignBaseSet method, of class ManufacturerImpl.
     */
    @Test
    public void testAssignBaseSet() throws Exception {
        System.out.println("assignBaseSet");
        ManufacturerEntity comic = null;
        BaseSetEntity baseSet = null;
        EJBContainer container = javax.ejb.embeddable.EJBContainer.createEJBContainer();
        ManufacturerDao instance = (ManufacturerDao)container.getContext().lookup("java:global/classes/ManufacturerImpl");
        ManufacturerEntity expResult = null;
        ManufacturerEntity result = instance.assignBaseSet(comic, baseSet);
        assertEquals(expResult, result);
        container.close();
        // TODO review the generated test code and remove the default call to fail.
        fail("The test case is a prototype.");
    }

    /**
     * Test of store method, of class ManufacturerImpl.
     */
    @Test
    public void testStore() throws Exception {
        System.out.println("store");
        ManufacturerEntity entity = null;
        EJBContainer container = javax.ejb.embeddable.EJBContainer.createEJBContainer();
        ManufacturerDao instance = (ManufacturerDao)container.getContext().lookup("java:global/classes/ManufacturerImpl");
        ManufacturerEntity expResult = null;
        ManufacturerEntity result = instance.store(entity);
        assertEquals(expResult, result);
        container.close();
        // TODO review the generated test code and remove the default call to fail.
        fail("The test case is a prototype.");
    }

    /**
     * Test of delete method, of class ManufacturerImpl.
     */
    @Test
    public void testDelete() throws Exception {
        System.out.println("delete");
        ManufacturerEntity entity = null;
        EJBContainer container = javax.ejb.embeddable.EJBContainer.createEJBContainer();
        ManufacturerDao instance = (ManufacturerDao)container.getContext().lookup("java:global/classes/ManufacturerImpl");
        instance.delete(entity);
        container.close();
        // TODO review the generated test code and remove the default call to fail.
        fail("The test case is a prototype.");
    }
    
}
